Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::adjacent_filter_fn Struct Reference

## Synopsis of methods
constexpr view< adjacent_filter_fn > | adjacent_filter {}

## Public Member Functions
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> adjacent_filter_view< all_t< Rng >, Pred > requires detail::AdjacentFilter< Rng, Pred >